package com.sonic.bear.service;

import com.sonic.bear.lib.input.CompleteUserInfoInput;
import com.sonic.bear.lib.input.EditUserInfoInput;

/**
 * @author coder
 */
public interface UserSetService {

    /**
     * 补全用户信息
     * @param input
     */
    void completeUserInfo(CompleteUserInfoInput input);

    /**
     * 编辑用户信息
     * @param input
     */
    void editUserInfo(EditUserInfoInput input);

    /**
     * 删除账号
     * @param userId
     */
    void delAccount(Long userId);
}
